Get the health of a single application

Returns the health of a single application in Itential Platform.

Authentication

AuthorizationBasic

Basic authentication of the form Basic <base64(username:password)>.

Path parameters

namestringRequiredformat: "^[^\/]+$"Defaults to
The name for the selected application.

Response

Contains the selected applications health data.
idstring
package_idstringformat: "^@[-_.a-z]+/.+"Defaults to
The model used by the service
versionstring
typeenum
Allowed values:
descriptionstring
stateenum
Allowed values:
connectionany or object
uptimedouble
Number of seconds the current process has been running.
memoryUsageobject
cpuUsageobject

Contains microsecond data for user and system modes. These values are used to calculate CPU usage (with implied conversions) by the following formula : (current CPU usage - previous CPU usage) / (current uptime - previous uptime)

pidinteger
loggerobject
routePrefixstring
prevUptimedouble

Errors

500
Internal Server Error